{% use "bootstrap_3_horizontal_layout.html.twig" %}

{%- block form_widget_simple -%}
    {%- set type = type|default('text') -%}

    {{- parent() -}}

    {%- if type == 'password' -%}
        <span class="glyphicon glyphicon-eye-open form-control-feedback"></span>
    {%- endif -%}
{%- endblock form_widget_simple -%}

{% block form_group_class -%}
    col-sm-10
{%- endblock form_group_class %}

{# Override form_row only for password type #}
{% block password_row -%}
    {%- set widget_attr = {} -%}
    {%- if help is not empty -%}
        {%- set widget_attr = {attr: {'aria-describedby': id ~"_help"}} -%}
    {%- endif -%}
    <div class="form-group{% if (not compound or force_error|default(false)) and not valid %} has-error{% endif %}">
        {{- form_label(form) -}}
        <div class="{{ block('form_group_class') }} has-feedback">
            {{- form_widget(form, widget_attr) -}}
            {{- form_help(form) -}}
            {{- form_errors(form) -}}
        </div>
    </div>
{%- endblock password_row %}

{% block complex_choice_row -%}
    {%- set widget_attr = {} -%}
    {%- if help is not empty -%}
        {%- set widget_attr = {attr: {'aria-describedby': id ~"_help"}} -%}
    {%- endif -%}
    <div class="col-sm-12 complex-choice-group{% if not valid %} has-error{% endif %}">
        <div class="col-sm-1 check">{{ form_row(form.check) }}</div>
        <div class="col-sm-3">{{ form_label(form) }}</div>
        <div class="col-sm-8 comment">
            {{ form_widget(form.comment, widget_attr) }}
            {{ form_errors(form.comment) }} {# -#}
        </div>
    </div> {# -#}
{%- endblock complex_choice_row %}